Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.webfragment30
Class WebFragment30DescriptorImpl

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.spi.DescriptorImplBase
          org.jboss.shrinkwrap.descriptor.spi.NodeProviderImplBase
              org.jboss.shrinkwrap.descriptor.impl.webfragment30.WebFragment30DescriptorImpl

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Descriptor, org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace<WebFragment30Descriptor>, WebFragment30Descriptor, org.jboss.shrinkwrap.descriptor.spi.NodeProvider

    public class WebFragment30DescriptorImpl

extends org.jboss.shrinkwrap.descriptor.spi.NodeProviderImplBase
implements org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace<WebFragment30Descriptor>, WebFragment30Descriptor

This deployment descriptor provides the functionalities as described in the web-fragment_3_0.xsd specification

Example:

`WebFragment30Descriptor descriptor = Descriptors.create(WebFragment30Descriptor.class);`

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`WebFragment30DescriptorImpl(java.lang.String descriptorName)`
`WebFragment30DescriptorImpl(java.lang.String descriptorName, org.jboss.shrinkwrap.descriptor.spi.Node node)`

Method Summary
`WebFragment30Descriptor` | `addDefaultNamespaces()`
`WebFragment30Descriptor` | `addNamespace(java.lang.String name, java.lang.String value)`
`ParamValueType<WebFragment30Descriptor>` | `contextParam()` Returns the `context-param` element
`DataSourceType<WebFragment30Descriptor>` | `dataSource()` Returns the `data-source` element
`WebFragment30Descriptor` | `distributable()`
`EjbLocalRefType<WebFragment30Descriptor>` | `ejbLocalRef()` Returns the `ejb-local-ref` element
`EjbRefType<WebFragment30Descriptor>` | `ejbRef()` Returns the `ejb-ref` element
`EnvEntryType<WebFragment30Descriptor>` | `envEntry()` Returns the `env-entry` element
`ErrorPageType<WebFragment30Descriptor>` | `errorPage()` Returns the `error-page` element
`FilterType<WebFragment30Descriptor>` | `filter()` Returns the `filter` element
`FilterMappingType<WebFragment30Descriptor>` | `filterMapping()` Returns the `filter-mapping` element
`java.util.List<ParamValueType<WebFragment30Descriptor>>` | `getContextParamList()` Returns all `context-param` elements
`java.util.List<DataSourceType<WebFragment30Descriptor>>` | `getDataSourceList()` Returns all `data-source` elements
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<java.lang.String>` | `getDisplayNameList()` Returns all `display-name` elements
`java.util.List<EjbLocalRefType<WebFragment30Descriptor>>` | `getEjbLocalRefList()` Returns all `ejb-local-ref` elements
`java.util.List<EjbRefType<WebFragment30Descriptor>>` | `getEjbRefList()` Returns all `ejb-ref` elements
`java.util.List<EnvEntryType<WebFragment30Descriptor>>` | `getEnvEntryList()` Returns all `env-entry` elements
`java.util.List<ErrorPageType<WebFragment30Descriptor>>` | `getErrorPageList()` Returns all `error-page` elements
`java.util.List<FilterType<WebFragment30Descriptor>>` | `getFilterList()` Returns all `filter` elements
`java.util.List<FilterMappingType<WebFragment30Descriptor>>` | `getFilterMappingList()` Returns all `filter-mapping` elements
`java.util.List<IconType<WebFragment30Descriptor>>` | `getIconList()` Returns all `icon` elements
`java.util.List<JspConfigType<WebFragment30Descriptor>>` | `getJspConfigList()` Returns all `jsp-config` elements
`java.util.List<ListenerType<WebFragment30Descriptor>>` | `getListenerList()` Returns all `listener` elements
`java.util.List<LocaleEncodingMappingListType<WebFragment30Descriptor>>` | `getLocaleEncodingMappingListList()` Returns all `locale-encoding-mapping-list` elements
`java.util.List<LoginConfigType<WebFragment30Descriptor>>` | `getLoginConfigList()` Returns all `login-config` elements
`java.util.List<MessageDestinationType<WebFragment30Descriptor>>` | `getMessageDestinationList()` Returns all `message-destination` elements
`java.util.List<MessageDestinationRefType<WebFragment30Descriptor>>` | `getMessageDestinationRefList()` Returns all `message-destination-ref` elements
`java.util.List<MimeMappingType<WebFragment30Descriptor>>` | `getMimeMappingList()` Returns all `mime-mapping` elements
`java.util.List<java.lang.String>` | `getNameList()` Returns all `name` elements
`java.util.List<java.lang.String>` | `getNamespaces()`
`java.util.List<OrderingType<WebFragment30Descriptor>>` | `getOrderingList()` Returns all `ordering` elements
`java.util.List<PersistenceContextRefType<WebFragment30Descriptor>>` | `getPersistenceContextRefList()` Returns all `persistence-context-ref` elements
`java.util.List<PersistenceUnitRefType<WebFragment30Descriptor>>` | `getPersistenceUnitRefList()` Returns all `persistence-unit-ref` elements
`java.util.List<LifecycleCallbackType<WebFragment30Descriptor>>` | `getPostConstructList()` Returns all `post-construct` elements
`java.util.List<LifecycleCallbackType<WebFragment30Descriptor>>` | `getPreDestroyList()` Returns all `pre-destroy` elements
`java.util.List<ResourceEnvRefType<WebFragment30Descriptor>>` | `getResourceEnvRefList()` Returns all `resource-env-ref` elements
`java.util.List<ResourceRefType<WebFragment30Descriptor>>` | `getResourceRefList()` Returns all `resource-ref` elements
`org.jboss.shrinkwrap.descriptor.spi.Node` | `getRootNode()`
`java.util.List<SecurityConstraintType<WebFragment30Descriptor>>` | `getSecurityConstraintList()` Returns all `security-constraint` elements
`java.util.List<SecurityRoleType<WebFragment30Descriptor>>` | `getSecurityRoleList()` Returns all `security-role` elements
`java.util.List<ServletType<WebFragment30Descriptor>>` | `getServletList()` Returns all `servlet` elements
`java.util.List<ServletMappingType<WebFragment30Descriptor>>` | `getServletMappingList()` Returns all `servlet-mapping` elements
`java.util.List<SessionConfigType<WebFragment30Descriptor>>` | `getSessionConfigList()` Returns all `session-config` elements
`WebAppVersionType` | `getVersion()` Returns the `version` element
`java.lang.String` | `getVersionAsString()` Returns the `version` element
`java.util.List<WelcomeFileListType<WebFragment30Descriptor>>` | `getWelcomeFileListList()` Returns all `welcome-file-list` elements
`IconType<WebFragment30Descriptor>` | `icon()` Returns the `icon` element
`java.lang.Boolean` | `isDistributable()`
`java.lang.Boolean` | `isMetadataComplete()` Returns the `metadata-complete` element
`JspConfigType<WebFragment30Descriptor>` | `jspConfig()` Returns the `jsp-config` element
`ListenerType<WebFragment30Descriptor>` | `listener()` Returns the `listener` element
`LocaleEncodingMappingListType<WebFragment30Descriptor>` | `localeEncodingMappingList()` Returns the `locale-encoding-mapping-list` element
`LoginConfigType<WebFragment30Descriptor>` | `loginConfig()` Returns the `login-config` element
`MessageDestinationType<WebFragment30Descriptor>` | `messageDestination()` Returns the `message-destination` element
`MessageDestinationRefType<WebFragment30Descriptor>` | `messageDestinationRef()` Returns the `message-destination-ref` element
`MimeMappingType<WebFragment30Descriptor>` | `mimeMapping()` Returns the `mime-mapping` element
`OrderingType<WebFragment30Descriptor>` | `ordering()` Returns the `ordering` element
`PersistenceContextRefType<WebFragment30Descriptor>` | `persistenceContextRef()` Returns the `persistence-context-ref` element
`PersistenceUnitRefType<WebFragment30Descriptor>` | `persistenceUnitRef()` Returns the `persistence-unit-ref` element
`LifecycleCallbackType<WebFragment30Descriptor>` | `postConstruct()` Returns the `post-construct` element
`LifecycleCallbackType<WebFragment30Descriptor>` | `preDestroy()` Returns the `pre-destroy` element
`WebFragment30Descriptor` | `removeAllContextParam()` Removes all `context-param` elements
`WebFragment30Descriptor` | `removeAllDataSource()` Removes all `data-source` elements
`WebFragment30Descriptor` | `removeAllDescription()` Removes the `description` element
`WebFragment30Descriptor` | `removeAllDisplayName()` Removes the `display-name` element
`WebFragment30Descriptor` | `removeAllEjbLocalRef()` Removes all `ejb-local-ref` elements
`WebFragment30Descriptor` | `removeAllEjbRef()` Removes all `ejb-ref` elements
`WebFragment30Descriptor` | `removeAllEnvEntry()` Removes all `env-entry` elements
`WebFragment30Descriptor` | `removeAllErrorPage()` Removes all `error-page` elements
`WebFragment30Descriptor` | `removeAllFilter()` Removes all `filter` elements
`WebFragment30Descriptor` | `removeAllFilterMapping()` Removes all `filter-mapping` elements
`WebFragment30Descriptor` | `removeAllIcon()` Removes all `icon` elements
`WebFragment30Descriptor` | `removeAllJspConfig()` Removes all `jsp-config` elements
`WebFragment30Descriptor` | `removeAllListener()` Removes all `listener` elements
`WebFragment30Descriptor` | `removeAllLocaleEncodingMappingList()` Removes all `locale-encoding-mapping-list` elements
`WebFragment30Descriptor` | `removeAllLoginConfig()` Removes all `login-config` elements
`WebFragment30Descriptor` | `removeAllMessageDestination()` Removes all `message-destination` elements
`WebFragment30Descriptor` | `removeAllMessageDestinationRef()` Removes all `message-destination-ref` elements
`WebFragment30Descriptor` | `removeAllMimeMapping()` Removes all `mime-mapping` elements
`WebFragment30Descriptor` | `removeAllName()` Removes the `name` element
`WebFragment30Descriptor` | `removeAllNamespaces()`
`WebFragment30Descriptor` | `removeAllOrdering()` Removes all `ordering` elements
`WebFragment30Descriptor` | `removeAllPersistenceContextRef()` Removes all `persistence-context-ref` elements
`WebFragment30Descriptor` | `removeAllPersistenceUnitRef()` Removes all `persistence-unit-ref` elements
`WebFragment30Descriptor` | `removeAllPostConstruct()` Removes all `post-construct` elements
`WebFragment30Descriptor` | `removeAllPreDestroy()` Removes all `pre-destroy` elements
`WebFragment30Descriptor` | `removeAllResourceEnvRef()` Removes all `resource-env-ref` elements
`WebFragment30Descriptor` | `removeAllResourceRef()` Removes all `resource-ref` elements
`WebFragment30Descriptor` | `removeAllSecurityConstraint()` Removes all `security-constraint` elements
`WebFragment30Descriptor` | `removeAllSecurityRole()` Removes all `security-role` elements
`WebFragment30Descriptor` | `removeAllServlet()` Removes all `servlet` elements
`WebFragment30Descriptor` | `removeAllServletMapping()` Removes all `servlet-mapping` elements
`WebFragment30Descriptor` | `removeAllSessionConfig()` Removes all `session-config` elements
`WebFragment30Descriptor` | `removeAllWelcomeFileList()` Removes all `welcome-file-list` elements
`WebFragment30Descriptor` | `removeMetadataComplete()` Removes the `metadata-complete` attribute
`WebFragment30Descriptor` | `removeVersion()` Removes the `version` attribute
`ResourceEnvRefType<WebFragment30Descriptor>` | `resourceEnvRef()` Returns the `resource-env-ref` element
`ResourceRefType<WebFragment30Descriptor>` | `resourceRef()` Returns the `resource-ref` element
`SecurityConstraintType<WebFragment30Descriptor>` | `securityConstraint()` Returns the `security-constraint` element
`SecurityRoleType<WebFragment30Descriptor>` | `securityRole()` Returns the `security-role` element
`ServletType<WebFragment30Descriptor>` | `servlet()` Returns the `servlet` element
`ServletMappingType<WebFragment30Descriptor>` | `servletMapping()` Returns the `servlet-mapping` element
`SessionConfigType<WebFragment30Descriptor>` | `sessionConfig()` Returns the `session-config` element
`WebFragment30Descriptor` | `setDescription(java.lang.String description)` Creates a new `description` element
`WebFragment30Descriptor` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`WebFragment30Descriptor` | `setDisplayName(java.lang.String displayName)` Creates a new `display-name` element
`WebFragment30Descriptor` | `setDisplayNameList(java.lang.String... values)` Creates for all String objects representing `display-name` elements, a new `display-name` element
`WebFragment30Descriptor` | `setMetadataComplete(java.lang.Boolean metadataComplete)` Sets the `metadata-complete` attribute
`WebFragment30Descriptor` | `setName(java.lang.String name)` Creates a new `name` element
`WebFragment30Descriptor` | `setNameList(java.lang.String... values)` Creates for all String objects representing `name` elements, a new `name` element
`WebFragment30Descriptor` | `setVersion(java.lang.String version)` Sets the `version` attribute
`WebFragment30Descriptor` | `setVersion(WebAppVersionType version)` Sets the `version` attribute
`WelcomeFileListType<WebFragment30Descriptor>` | `welcomeFileList()` Returns the `welcome-file-list` element

Methods inherited from class org.jboss.shrinkwrap.descriptor.spi.NodeProviderImplBase
`exportAsString, exportTo`

Methods inherited from class org.jboss.shrinkwrap.descriptor.spi.DescriptorImplBase
`getDescriptorName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Descriptor
`exportAsString, exportTo, getDescriptorName`

Constructor Detail

### WebFragment30DescriptorImpl

    public WebFragment30DescriptorImpl(java.lang.String descriptorName)

### WebFragment30DescriptorImpl

    public WebFragment30DescriptorImpl(java.lang.String descriptorName,
                                       org.jboss.shrinkwrap.descriptor.spi.Node node)

Method Detail

### getRootNode

    public org.jboss.shrinkwrap.descriptor.spi.Node getRootNode()

  Specified by:
    `getRootNode` in interface `org.jboss.shrinkwrap.descriptor.spi.NodeProvider`

### addDefaultNamespaces

    public WebFragment30Descriptor addDefaultNamespaces()

  Specified by:
    `addDefaultNamespaces` in interface `org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace<WebFragment30Descriptor>`

### addNamespace

    public WebFragment30Descriptor addNamespace(java.lang.String name,
                                                java.lang.String value)

  Specified by:
    `addNamespace` in interface `org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace<WebFragment30Descriptor>`

### getNamespaces

    public java.util.List<java.lang.String> getNamespaces()

  Specified by:
    `getNamespaces` in interface `org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace<WebFragment30Descriptor>`

### removeAllNamespaces

    public WebFragment30Descriptor removeAllNamespaces()

  Specified by:
    `removeAllNamespaces` in interface `org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace<WebFragment30Descriptor>`

### setName

    public WebFragment30Descriptor setName(java.lang.String name)

  Creates a new `name` element

  Specified by:
    `setName` in interface `WebFragment30Descriptor`
  Returns:
    the current instance of `WebFragment30Descriptor`

### setNameList

    public WebFragment30Descriptor setNameList(java.lang.String... values)

  Creates for all String objects representing `name` elements, a new `name` element

  Specified by:
    `setNameList` in interface `WebFragment30Descriptor`
  Parameters:
    `list` - of `name` objects
  Returns:
    the current instance of `WebFragment30Descriptor`

### removeAllName

    public WebFragment30Descriptor removeAllName()

  Removes the `name` element

  Specified by:
    `removeAllName` in interface `WebFragment30Descriptor`
  Returns:
    the current instance of `WebFragment30Descriptor`

### getNameList

    public java.util.List<java.lang.String> getNameList()

  Returns all `name` elements

  Specified by:
    `getNameList` in interface `WebFragment30Descriptor`
  Returns:
    list of `name`

### removeAllOrdering

    public WebFragment30Descriptor removeAllOrdering()

  Removes all `ordering` elements

  Specified by:
    `removeAllOrdering` in interface `WebFragment30Descriptor`
  Returns:
    the current instance of `WebFragment30Descriptor`

### ordering

    public OrderingType<WebFragment30Descriptor> ordering()

  Returns the `ordering` element

  Specified by:
    `ordering` in interface `WebFragment30Descriptor`
  Returns:
    the node defined for the element `ordering`

### getOrderingList

    public java.util.List<OrderingType<WebFragment30Descriptor>> getOrderingList()

  Returns all `ordering` elements

  Specified by:
    `getOrderingList` in interface `WebFragment30Descriptor`
  Returns:
    list of `ordering`

### distributable

    public WebFragment30Descriptor distributable()

  Specified by:
    `distributable` in interface `WebFragment30Descriptor`

### isDistributable

    public java.lang.Boolean isDistributable()

  Specified by:
    `isDistributable` in interface `WebFragment30Descriptor`

### removeAllContextParam

    public WebFragment30Descriptor removeAllContextParam()

  Removes all `context-param` elements

  Specified by:
    `removeAllContextParam` in interface `WebFragment30Descriptor`
  Returns:
    the current instance of `WebFragment30Descriptor`

### contextParam

    public ParamValueType<WebFragment30Descriptor> contextParam()

  Returns the `context-param` element

  Specified by:
    `contextParam` in interface `WebFragment30Descriptor`
  Returns:
    the node defined for the element `context-param`

### getContextParamList

    public java.util.List<ParamValueType<WebFragment30Descriptor>> getContextParamList()

  Returns all `context-param` elements

  Specified by:
    `getContextParamList` in interface `WebFragment30Descriptor`
  Returns:
    list of `context-param`

### removeAllFilter

    public WebFragment30Descriptor removeAllFilter()

  Removes all `filter` elements

  Specified by:
    `removeAllFilter` in interface `WebFragment30Descriptor`
  Returns:
    the current instance of `WebFragment30Descriptor`

### filter

    public FilterType<WebFragment30Descriptor> filter()

  Returns the `filter` element

  Specified by:
    `filter` in interface `WebFragment30Descriptor`
  Returns:
    the node defined for the element `filter`

### getFilterList

    public java.util.List<FilterType<WebFragment30Descriptor>> getFilterList()

  Returns all `filter` elements

  Specified by:
    `getFilterList` in interface `WebFragment30Descriptor`
  Returns:
    list of `filter`

### removeAllFilterMapping

    public WebFragment30Descriptor removeAllFilterMapping()

  Removes all `filter-mapping` elements

  Specified by:
    `removeAllFilterMapping` in interface `WebFragment30Descriptor`
  Returns:
    the current instance of `WebFragment30Descriptor`

### filterMapping

    public FilterMappingType<WebFragment30Descriptor> filterMapping()

  Returns the `filter-mapping` element

  Specified by:
    `filterMapping` in interface `WebFragment30Descriptor`
  Returns:
    the node defined for the element `filter-mapping`

### getFilterMappingList

    public java.util.List<FilterMappingType<WebFragment30Descriptor>> getFilterMappingList()

  Returns all `filter-mapping` elements

  Specified by:
    `getFilterMappingList` in interface `WebFragment30Descriptor`
  Returns:
    list of `filter-mapping`

### removeAllListener

    public WebFragment30Descriptor removeAllListener()

  Removes all `listener` elements

  Specified by:
    `removeAllListener` in interface `WebFragment30Descriptor`
  Returns:
    the current instance of `WebFragment30Descriptor`

### listener

    public ListenerType<WebFragment30Descriptor> listener()

  Returns the `listener` element

  Specified by:
    `listener` in interface `WebFragment30Descriptor`
  Returns:
    the node defined for the element `listener`

### getListenerList

    public java.util.List<ListenerType<WebFragment30Descriptor>> getListenerList()

  Returns all `listener` elements

  Specified by:
    `getListenerList` in interface `WebFragment30Descriptor`
  Returns:
    list of `listener`

### removeAllServlet

    public WebFragment30Descriptor removeAllServlet()

  Removes all `servlet` elements

  Specified by:
    `removeAllServlet` in interface `WebFragment30Descriptor`
  Returns:
    the current instance of `WebFragment30Descriptor`

### servlet

    public ServletType<WebFragment30Descriptor> servlet()

  Returns the `servlet` element

  Specified by:
    `servlet` in interface `WebFragment30Descriptor`
  Returns:
    the node defined for the element `servlet`

### getServletList

    public java.util.List<ServletType<WebFragment30Descriptor>> getServletList()

  Returns all `servlet` elements

  Specified by:
    `getServletList` in interface `WebFragment30Descriptor`
  Returns:
    list of `servlet`

### removeAllServletMapping

    public WebFragment30Descriptor removeAllServletMapping()

  Removes all `servlet-mapping` elements

  Specified by:
    `removeAllServletMapping` in interface `WebFragment30Descriptor`
  Returns:
    the current instance of `WebFragment30Descriptor`

### servletMapping

    public ServletMappingType<WebFragment30Descriptor> servletMapping()

  Returns the `servlet-mapping` element

  Specified by:
    `servletMapping` in interface `WebFragment30Descriptor`
  Returns:
    the node defined for the element `servlet-mapping`

### getServletMappingList

    public java.util.List<ServletMappingType<WebFragment30Descriptor>> getServletMappingList()

  Returns all `servlet-mapping` elements

  Specified by:
    `getServletMappingList` in interface `WebFragment30Descriptor`
  Returns:
    list of `servlet-mapping`

### removeAllSessionConfig

    public WebFragment30Descriptor removeAllSessionConfig()

  Removes all `session-config` elements

  Specified by:
    `removeAllSessionConfig` in interface `WebFragment30Descriptor`
  Returns:
    the current instance of `WebFragment30Descriptor`

### sessionConfig

    public SessionConfigType<WebFragment30Descriptor> sessionConfig()

  Returns the `session-config` element

  Specified by:
    `sessionConfig` in interface `WebFragment30Descriptor`
  Returns:
    the node defined for the element `session-config`

### getSessionConfigList

    public java.util.List<SessionConfigType<WebFragment30Descriptor>> getSessionConfigList()

  Returns all `session-config` elements

  Specified by:
    `getSessionConfigList` in interface `WebFragment30Descriptor`
  Returns:
    list of `session-config`

### removeAllMimeMapping

    public WebFragment30Descriptor removeAllMimeMapping()

  Removes all `mime-mapping` elements

  Specified by:
    `removeAllMimeMapping` in interface `WebFragment30Descriptor`
  Returns:
    the current instance of `WebFragment30Descriptor`

### mimeMapping

    public MimeMappingType<WebFragment30Descriptor> mimeMapping()

  Returns the `mime-mapping` element

  Specified by:
    `mimeMapping` in interface `WebFragment30Descriptor`
  Returns:
    the node defined for the element `mime-mapping`

### getMimeMappingList

    public java.util.List<MimeMappingType<WebFragment30Descriptor>> getMimeMappingList()

  Returns all `mime-mapping` elements

  Specified by:
    `getMimeMappingList` in interface `WebFragment30Descriptor`
  Returns:
    list of `mime-mapping`

### removeAllWelcomeFileList

    public WebFragment30Descriptor removeAllWelcomeFileList()

  Removes all `welcome-file-list` elements

  Specified by:
    `removeAllWelcomeFileList` in interface `WebFragment30Descriptor`
  Returns:
    the current instance of `WebFragment30Descriptor`

### welcomeFileList

    public WelcomeFileListType<WebFragment30Descriptor> welcomeFileList()

  Returns the `welcome-file-list` element

  Specified by:
    `welcomeFileList` in interface `WebFragment30Descriptor`
  Returns:
    the node defined for the element `welcome-file-list`

### getWelcomeFileListList

    public java.util.List<WelcomeFileListType<WebFragment30Descriptor>> getWelcomeFileListList()

  Returns all `welcome-file-list` elements

  Specified by:
    `getWelcomeFileListList` in interface `WebFragment30Descriptor`
  Returns:
    list of `welcome-file-list`

### removeAllErrorPage

    public WebFragment30Descriptor removeAllErrorPage()

  Removes all `error-page` elements

  Specified by:
    `removeAllErrorPage` in interface `WebFragment30Descriptor`
  Returns:
    the current instance of `WebFragment30Descriptor`

### errorPage

    public ErrorPageType<WebFragment30Descriptor> errorPage()

  Returns the `error-page` element

  Specified by:
    `errorPage` in interface `WebFragment30Descriptor`
  Returns:
    the node defined for the element `error-page`

### getErrorPageList

    public java.util.List<ErrorPageType<WebFragment30Descriptor>> getErrorPageList()

  Returns all `error-page` elements

  Specified by:
    `getErrorPageList` in interface `WebFragment30Descriptor`
  Returns:
    list of `error-page`

### removeAllJspConfig

    public WebFragment30Descriptor removeAllJspConfig()

  Removes all `jsp-config` elements

  Specified by:
    `removeAllJspConfig` in interface `WebFragment30Descriptor`
  Returns:
    the current instance of `WebFragment30Descriptor`

### jspConfig

    public JspConfigType<WebFragment30Descriptor> jspConfig()

  Returns the `jsp-config` element

  Specified by:
    `jspConfig` in interface `WebFragment30Descriptor`
  Returns:
    the node defined for the element `jsp-config`

### getJspConfigList

    public java.util.List<JspConfigType<WebFragment30Descriptor>> getJspConfigList()

  Returns all `jsp-config` elements

  Specified by:
    `getJspConfigList` in interface `WebFragment30Descriptor`
  Returns:
    list of `jsp-config`

### removeAllSecurityConstraint

    public WebFragment30Descriptor removeAllSecurityConstraint()

  Removes all `security-constraint` elements

  Specified by:
    `removeAllSecurityConstraint` in interface `WebFragment30Descriptor`
  Returns:
    the current instance of `WebFragment30Descriptor`

### securityConstraint

    public SecurityConstraintType<WebFragment30Descriptor> securityConstraint()

  Returns the `security-constraint` element

  Specified by:
    `securityConstraint` in interface `WebFragment30Descriptor`
  Returns:
    the node defined for the element `security-constraint`

### getSecurityConstraintList

    public java.util.List<SecurityConstraintType<WebFragment30Descriptor>> getSecurityConstraintList()

  Returns all `security-constraint` elements

  Specified by:
    `getSecurityConstraintList` in interface `WebFragment30Descriptor`
  Returns:
    list of `security-constraint`

### removeAllLoginConfig

    public WebFragment30Descriptor removeAllLoginConfig()

  Removes all `login-config` elements

  Specified by:
    `removeAllLoginConfig` in interface `WebFragment30Descriptor`
  Returns:
    the current instance of `WebFragment30Descriptor`

### loginConfig

    public LoginConfigType<WebFragment30Descriptor> loginConfig()

  Returns the `login-config` element

  Specified by:
    `loginConfig` in interface `WebFragment30Descriptor`
  Returns:
    the node defined for the element `login-config`

### getLoginConfigList

    public java.util.List<LoginConfigType<WebFragment30Descriptor>> getLoginConfigList()

  Returns all `login-config` elements

  Specified by:
    `getLoginConfigList` in interface `WebFragment30Descriptor`
  Returns:
    list of `login-config`

### removeAllSecurityRole

    public WebFragment30Descriptor removeAllSecurityRole()

  Removes all `security-role` elements

  Specified by:
    `removeAllSecurityRole` in interface `WebFragment30Descriptor`
  Returns:
    the current instance of `WebFragment30Descriptor`

### securityRole

    public SecurityRoleType<WebFragment30Descriptor> securityRole()

  Returns the `security-role` element

  Specified by:
    `securityRole` in interface `WebFragment30Descriptor`
  Returns:
    the node defined for the element `security-role`

### getSecurityRoleList

    public java.util.List<SecurityRoleType<WebFragment30Descriptor>> getSecurityRoleList()

  Returns all `security-role` elements

  Specified by:
    `getSecurityRoleList` in interface `WebFragment30Descriptor`
  Returns:
    list of `security-role`

### removeAllMessageDestination

    public WebFragment30Descriptor removeAllMessageDestination()

  Removes all `message-destination` elements

  Specified by:
    `removeAllMessageDestination` in interface `WebFragment30Descriptor`
  Returns:
    the current instance of `WebFragment30Descriptor`

### messageDestination

    public MessageDestinationType<WebFragment30Descriptor> messageDestination()

  Returns the `message-destination` element

  Specified by:
    `messageDestination` in interface `WebFragment30Descriptor`
  Returns:
    the node defined for the element `message-destination`

### getMessageDestinationList

    public java.util.List<MessageDestinationType<WebFragment30Descriptor>> getMessageDestinationList()

  Returns all `message-destination` elements

  Specified by:
    `getMessageDestinationList` in interface `WebFragment30Descriptor`
  Returns:
    list of `message-destination`

### removeAllLocaleEncodingMappingList

    public WebFragment30Descriptor removeAllLocaleEncodingMappingList()

  Removes all `locale-encoding-mapping-list` elements

  Specified by:
    `removeAllLocaleEncodingMappingList` in interface `WebFragment30Descriptor`
  Returns:
    the current instance of `WebFragment30Descriptor`

### localeEncodingMappingList

    public LocaleEncodingMappingListType<WebFragment30Descriptor> localeEncodingMappingList()

  Returns the `locale-encoding-mapping-list` element

  Specified by:
    `localeEncodingMappingList` in interface `WebFragment30Descriptor`
  Returns:
    the node defined for the element `locale-encoding-mapping-list`

### getLocaleEncodingMappingListList

    public java.util.List<LocaleEncodingMappingListType<WebFragment30Descriptor>> getLocaleEncodingMappingListList()

  Returns all `locale-encoding-mapping-list` elements

  Specified by:
    `getLocaleEncodingMappingListList` in interface `WebFragment30Descriptor`
  Returns:
    list of `locale-encoding-mapping-list`

### setDescription

    public WebFragment30Descriptor setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `WebFragment30Descriptor`
  Returns:
    the current instance of `WebFragment30Descriptor`

### setDescriptionList

    public WebFragment30Descriptor setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `WebFragment30Descriptor`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `WebFragment30Descriptor`

### removeAllDescription

    public WebFragment30Descriptor removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `WebFragment30Descriptor`
  Returns:
    the current instance of `WebFragment30Descriptor`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `WebFragment30Descriptor`
  Returns:
    list of `description`

### setDisplayName

    public WebFragment30Descriptor setDisplayName(java.lang.String displayName)

  Creates a new `display-name` element

  Specified by:
    `setDisplayName` in interface `WebFragment30Descriptor`
  Returns:
    the current instance of `WebFragment30Descriptor`

### setDisplayNameList

    public WebFragment30Descriptor setDisplayNameList(java.lang.String... values)

  Creates for all String objects representing `display-name` elements, a new `display-name` element

  Specified by:
    `setDisplayNameList` in interface `WebFragment30Descriptor`
  Parameters:
    `list` - of `display-name` objects
  Returns:
    the current instance of `WebFragment30Descriptor`

### removeAllDisplayName

    public WebFragment30Descriptor removeAllDisplayName()

  Removes the `display-name` element

  Specified by:
    `removeAllDisplayName` in interface `WebFragment30Descriptor`
  Returns:
    the current instance of `WebFragment30Descriptor`

### getDisplayNameList

    public java.util.List<java.lang.String> getDisplayNameList()

  Returns all `display-name` elements

  Specified by:
    `getDisplayNameList` in interface `WebFragment30Descriptor`
  Returns:
    list of `display-name`

### removeAllIcon

    public WebFragment30Descriptor removeAllIcon()

  Removes all `icon` elements

  Specified by:
    `removeAllIcon` in interface `WebFragment30Descriptor`
  Returns:
    the current instance of `WebFragment30Descriptor`

### icon

    public IconType<WebFragment30Descriptor> icon()

  Returns the `icon` element

  Specified by:
    `icon` in interface `WebFragment30Descriptor`
  Returns:
    the node defined for the element `icon`

### getIconList

    public java.util.List<IconType<WebFragment30Descriptor>> getIconList()

  Returns all `icon` elements

  Specified by:
    `getIconList` in interface `WebFragment30Descriptor`
  Returns:
    list of `icon`

### removeAllEnvEntry

    public WebFragment30Descriptor removeAllEnvEntry()

  Removes all `env-entry` elements

  Specified by:
    `removeAllEnvEntry` in interface `WebFragment30Descriptor`
  Returns:
    the current instance of `WebFragment30Descriptor`

### envEntry

    public EnvEntryType<WebFragment30Descriptor> envEntry()

  Returns the `env-entry` element

  Specified by:
    `envEntry` in interface `WebFragment30Descriptor`
  Returns:
    the node defined for the element `env-entry`

### getEnvEntryList

    public java.util.List<EnvEntryType<WebFragment30Descriptor>> getEnvEntryList()

  Returns all `env-entry` elements

  Specified by:
    `getEnvEntryList` in interface `WebFragment30Descriptor`
  Returns:
    list of `env-entry`

### removeAllEjbRef

    public WebFragment30Descriptor removeAllEjbRef()

  Removes all `ejb-ref` elements

  Specified by:
    `removeAllEjbRef` in interface `WebFragment30Descriptor`
  Returns:
    the current instance of `WebFragment30Descriptor`

### ejbRef

    public EjbRefType<WebFragment30Descriptor> ejbRef()

  Returns the `ejb-ref` element

  Specified by:
    `ejbRef` in interface `WebFragment30Descriptor`
  Returns:
    the node defined for the element `ejb-ref`

### getEjbRefList

    public java.util.List<EjbRefType<WebFragment30Descriptor>> getEjbRefList()

  Returns all `ejb-ref` elements

  Specified by:
    `getEjbRefList` in interface `WebFragment30Descriptor`
  Returns:
    list of `ejb-ref`

### removeAllEjbLocalRef

    public WebFragment30Descriptor removeAllEjbLocalRef()

  Removes all `ejb-local-ref` elements

  Specified by:
    `removeAllEjbLocalRef` in interface `WebFragment30Descriptor`
  Returns:
    the current instance of `WebFragment30Descriptor`

### ejbLocalRef

    public EjbLocalRefType<WebFragment30Descriptor> ejbLocalRef()

  Returns the `ejb-local-ref` element

  Specified by:
    `ejbLocalRef` in interface `WebFragment30Descriptor`
  Returns:
    the node defined for the element `ejb-local-ref`

### getEjbLocalRefList

    public java.util.List<EjbLocalRefType<WebFragment30Descriptor>> getEjbLocalRefList()

  Returns all `ejb-local-ref` elements

  Specified by:
    `getEjbLocalRefList` in interface `WebFragment30Descriptor`
  Returns:
    list of `ejb-local-ref`

### removeAllResourceRef

    public WebFragment30Descriptor removeAllResourceRef()

  Removes all `resource-ref` elements

  Specified by:
    `removeAllResourceRef` in interface `WebFragment30Descriptor`
  Returns:
    the current instance of `WebFragment30Descriptor`

### resourceRef

    public ResourceRefType<WebFragment30Descriptor> resourceRef()

  Returns the `resource-ref` element

  Specified by:
    `resourceRef` in interface `WebFragment30Descriptor`
  Returns:
    the node defined for the element `resource-ref`

### getResourceRefList

    public java.util.List<ResourceRefType<WebFragment30Descriptor>> getResourceRefList()

  Returns all `resource-ref` elements

  Specified by:
    `getResourceRefList` in interface `WebFragment30Descriptor`
  Returns:
    list of `resource-ref`

### removeAllResourceEnvRef

    public WebFragment30Descriptor removeAllResourceEnvRef()

  Removes all `resource-env-ref` elements

  Specified by:
    `removeAllResourceEnvRef` in interface `WebFragment30Descriptor`
  Returns:
    the current instance of `WebFragment30Descriptor`

### resourceEnvRef

    public ResourceEnvRefType<WebFragment30Descriptor> resourceEnvRef()

  Returns the `resource-env-ref` element

  Specified by:
    `resourceEnvRef` in interface `WebFragment30Descriptor`
  Returns:
    the node defined for the element `resource-env-ref`

### getResourceEnvRefList

    public java.util.List<ResourceEnvRefType<WebFragment30Descriptor>> getResourceEnvRefList()

  Returns all `resource-env-ref` elements

  Specified by:
    `getResourceEnvRefList` in interface `WebFragment30Descriptor`
  Returns:
    list of `resource-env-ref`

### removeAllMessageDestinationRef

    public WebFragment30Descriptor removeAllMessageDestinationRef()

  Removes all `message-destination-ref` elements

  Specified by:
    `removeAllMessageDestinationRef` in interface `WebFragment30Descriptor`
  Returns:
    the current instance of `WebFragment30Descriptor`

### messageDestinationRef

    public MessageDestinationRefType<WebFragment30Descriptor> messageDestinationRef()

  Returns the `message-destination-ref` element

  Specified by:
    `messageDestinationRef` in interface `WebFragment30Descriptor`
  Returns:
    the node defined for the element `message-destination-ref`

### getMessageDestinationRefList

    public java.util.List<MessageDestinationRefType<WebFragment30Descriptor>> getMessageDestinationRefList()

  Returns all `message-destination-ref` elements

  Specified by:
    `getMessageDestinationRefList` in interface `WebFragment30Descriptor`
  Returns:
    list of `message-destination-ref`

### removeAllPersistenceContextRef

    public WebFragment30Descriptor removeAllPersistenceContextRef()

  Removes all `persistence-context-ref` elements

  Specified by:
    `removeAllPersistenceContextRef` in interface `WebFragment30Descriptor`
  Returns:
    the current instance of `WebFragment30Descriptor`

### persistenceContextRef

    public PersistenceContextRefType<WebFragment30Descriptor> persistenceContextRef()

  Returns the `persistence-context-ref` element

  Specified by:
    `persistenceContextRef` in interface `WebFragment30Descriptor`
  Returns:
    the node defined for the element `persistence-context-ref`

### getPersistenceContextRefList

    public java.util.List<PersistenceContextRefType<WebFragment30Descriptor>> getPersistenceContextRefList()

  Returns all `persistence-context-ref` elements

  Specified by:
    `getPersistenceContextRefList` in interface `WebFragment30Descriptor`
  Returns:
    list of `persistence-context-ref`

### removeAllPersistenceUnitRef

    public WebFragment30Descriptor removeAllPersistenceUnitRef()

  Removes all `persistence-unit-ref` elements

  Specified by:
    `removeAllPersistenceUnitRef` in interface `WebFragment30Descriptor`
  Returns:
    the current instance of `WebFragment30Descriptor`

### persistenceUnitRef

    public PersistenceUnitRefType<WebFragment30Descriptor> persistenceUnitRef()

  Returns the `persistence-unit-ref` element

  Specified by:
    `persistenceUnitRef` in interface `WebFragment30Descriptor`
  Returns:
    the node defined for the element `persistence-unit-ref`

### getPersistenceUnitRefList

    public java.util.List<PersistenceUnitRefType<WebFragment30Descriptor>> getPersistenceUnitRefList()

  Returns all `persistence-unit-ref` elements

  Specified by:
    `getPersistenceUnitRefList` in interface `WebFragment30Descriptor`
  Returns:
    list of `persistence-unit-ref`

### removeAllPostConstruct

    public WebFragment30Descriptor removeAllPostConstruct()

  Removes all `post-construct` elements

  Specified by:
    `removeAllPostConstruct` in interface `WebFragment30Descriptor`
  Returns:
    the current instance of `WebFragment30Descriptor`

### postConstruct

    public LifecycleCallbackType<WebFragment30Descriptor> postConstruct()

  Returns the `post-construct` element

  Specified by:
    `postConstruct` in interface `WebFragment30Descriptor`
  Returns:
    the node defined for the element `post-construct`

### getPostConstructList

    public java.util.List<LifecycleCallbackType<WebFragment30Descriptor>> getPostConstructList()

  Returns all `post-construct` elements

  Specified by:
    `getPostConstructList` in interface `WebFragment30Descriptor`
  Returns:
    list of `post-construct`

### removeAllPreDestroy

    public WebFragment30Descriptor removeAllPreDestroy()

  Removes all `pre-destroy` elements

  Specified by:
    `removeAllPreDestroy` in interface `WebFragment30Descriptor`
  Returns:
    the current instance of `WebFragment30Descriptor`

### preDestroy

    public LifecycleCallbackType<WebFragment30Descriptor> preDestroy()

  Returns the `pre-destroy` element

  Specified by:
    `preDestroy` in interface `WebFragment30Descriptor`
  Returns:
    the node defined for the element `pre-destroy`

### getPreDestroyList

    public java.util.List<LifecycleCallbackType<WebFragment30Descriptor>> getPreDestroyList()

  Returns all `pre-destroy` elements

  Specified by:
    `getPreDestroyList` in interface `WebFragment30Descriptor`
  Returns:
    list of `pre-destroy`

### removeAllDataSource

    public WebFragment30Descriptor removeAllDataSource()

  Removes all `data-source` elements

  Specified by:
    `removeAllDataSource` in interface `WebFragment30Descriptor`
  Returns:
    the current instance of `WebFragment30Descriptor`

### dataSource

    public DataSourceType<WebFragment30Descriptor> dataSource()

  Returns the `data-source` element

  Specified by:
    `dataSource` in interface `WebFragment30Descriptor`
  Returns:
    the node defined for the element `data-source`

### getDataSourceList

    public java.util.List<DataSourceType<WebFragment30Descriptor>> getDataSourceList()

  Returns all `data-source` elements

  Specified by:
    `getDataSourceList` in interface `WebFragment30Descriptor`
  Returns:
    list of `data-source`

### setVersion

    public WebFragment30Descriptor setVersion(WebAppVersionType version)

  Sets the `version` attribute

  Specified by:
    `setVersion` in interface `WebFragment30Descriptor`
  Parameters:
    `version` - the value for the attribute `version`
  Returns:
    the current instance of `WebFragment30Descriptor`

### setVersion

    public WebFragment30Descriptor setVersion(java.lang.String version)

  Sets the `version` attribute

  Specified by:
    `setVersion` in interface `WebFragment30Descriptor`
  Parameters:
    `version` - the value for the attribute `version`
  Returns:
    the current instance of `WebFragment30Descriptor`

### removeVersion

    public WebFragment30Descriptor removeVersion()

  Removes the `version` attribute

  Specified by:
    `removeVersion` in interface `WebFragment30Descriptor`
  Returns:
    the current instance of `WebFragment30Descriptor`

### getVersion

    public WebAppVersionType getVersion()

  Returns the `version` element

  Specified by:
    `getVersion` in interface `WebFragment30Descriptor`
  Returns:
    the node defined for the element `version`

### getVersionAsString

    public java.lang.String getVersionAsString()

  Returns the `version` element

  Specified by:
    `getVersionAsString` in interface `WebFragment30Descriptor`
  Returns:
    the node defined for the element `version`

### setMetadataComplete

    public WebFragment30Descriptor setMetadataComplete(java.lang.Boolean metadataComplete)

  Sets the `metadata-complete` attribute

  Specified by:
    `setMetadataComplete` in interface `WebFragment30Descriptor`
  Parameters:
    `metadataComplete` - the value for the attribute `metadata-complete`
  Returns:
    the current instance of `WebFragment30Descriptor`

### removeMetadataComplete

    public WebFragment30Descriptor removeMetadataComplete()

  Removes the `metadata-complete` attribute

  Specified by:
    `removeMetadataComplete` in interface `WebFragment30Descriptor`
  Returns:
    the current instance of `WebFragment30Descriptor`

### isMetadataComplete

    public java.lang.Boolean isMetadataComplete()

  Returns the `metadata-complete` element

  Specified by:
    `isMetadataComplete` in interface `WebFragment30Descriptor`
  Returns:
    the node defined for the element `metadata-complete`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD